From 19bb79462b9496a270c37a497d0ac7dafb3a5b77 Mon Sep 17 00:00:00 2001
From: Shveta Malik <shveta.malik@gmail.com>
Date: Tue, 8 Jul 2025 15:53:57 +0530
Subject: [PATCH] top-up patch

---
 doc/src/sgml/logical-replication.sgml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/doc/src/sgml/logical-replication.sgml b/doc/src/sgml/logical-replication.sgml
index 8992029107a..de28eb48bce 100644
--- a/doc/src/sgml/logical-replication.sgml
+++ b/doc/src/sgml/logical-replication.sgml
@@ -764,7 +764,7 @@ HINT:  To initiate replication, you must manually create the replication slot, e
      Check that the logical replication slots identified above exist on
      the standby server and are ready for failover.
 <programlisting>
-/* standby # */ SELECT slot_name, (synced AND NOT temporary AND NOT conflicting) AS failover_ready
+/* standby # */ SELECT slot_name, (synced AND NOT temporary AND invalidation_reason IS NULL) AS failover_ready
                FROM pg_replication_slots
                WHERE slot_name IN
                    ('sub1','sub2','sub3', 'pg_16394_sync_16385_7394666715149055164');
@@ -812,7 +812,7 @@ HINT:  To initiate replication, you must manually create the replication slot, e
 <programlisting>
 /* primary # */ SELECT array_agg(quote_literal(r.slot_name)) AS slots
                FROM pg_replication_slots r
-               WHERE r.failover;
+               WHERE r.failover AND NOT r.temporary;
  slots
 -------
  {'sub1','sub2','sub3', 'pg_16394_sync_16385_7394666715149055164'}
-- 
2.34.1

